rgl.snapshot {rgl} | R Documentation

## export screenshot

### Description

Saves the screenshot as png file.

### Usage

    rgl.snapshot( filename, fmt = "png", top = TRUE )
    snapshot3d( ... )

### Arguments

`filename` | full path to filename.
`fmt` | image export format, currently supported: png
`top` | whether to call `rgl.bringtotop`
`...` | arguments to pass to `rgl.snapshot`

### Details

Animations can be created in a loop modifying the scene and saving each screenshot to a file. Various graphics programs (e.g. ImageMagick) can put these together into a single animation. (See `movie3d` or the example below.)

### Note

On some systems, the snapshot will include content from other windows if they cover the active rgl window. Setting `top = TRUE` (the default) will use `rgl.bringtotop` before the snapshot to avoid this.

### See Also

`movie3d`, `rgl.viewpoint`

### Examples

    ## Not run:

    #
    # create animation
    #

    shade3d(oh3d(), color = "red")
    rgl.bringtotop()
    rgl.viewpoint(0, 20)

    olddir <- setwd(tempdir())
    for (i in 1:45) {
      rgl.viewpoint(i, 20)
      filename <- paste("pic", formatC(i, digits = 1, flag = "0"), ".png", sep = "")
      rgl.snapshot(filename)
    }
    ## Now run ImageMagick in tempdir().  Use 'convert' instead of 'magick'
    ## if you have an older version of ImageMagick:
    ##    magick -delay 10 *.png -loop 0 pic.gif
    setwd(olddir)

    ## End(Not run)

[Package rgl version 0.99.16 Index]